Beefy Boxes and Bandwidth Generously Provided by pair Networks
Think about Loose Coupling
 
PerlMonks  

Re: CPAN Shell, Bundles and downloading specific versions

by Joost (Canon)
on Oct 26, 2004 at 22:49 UTC ( #402831=note: print w/replies, xml ) Need Help??


in reply to CPAN Shell, Bundles and downloading specific versions

I'm not sure if this is also true for bundles, but the standard module dependencies scheme (in Makefile.PL or META.yaml) only allow a minimum version number for dependent modules: this would explain why you'd get a v2.05 while you're requesting v1.005 of a module.

I'm not sure how you should work around the problem, maybe you could use only. I think you still need to download and install that module version using a custom script (CPANPLUS might be a handy module for that).

  • Comment on Re: CPAN Shell, Bundles and downloading specific versions

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://402831]
help
Chatterbox?
and all is quiet...

How do I use this? | Other CB clients
Other Users?
Others avoiding work at the Monastery: (5)
As of 2016-12-04 22:47 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    On a regular basis, I'm most likely to spy upon:













    Results (70 votes). Check out past polls.